Subject: Re: 440GX: mapping PCI address

From: Matt Porter <[email-masked]>
Date: Thu, 22 Jul 2004 09:20:40 -0700

On Thu, Jul 22, 2004 at 09:43:26AM -0500, Barbier, Renaud (GE Infrastructure) wrote:
> Indeed, I get a virtual address out of mmap
> but my system freezes when I access it.
> I try to access the PCI external configuration registers:
>
> ptr=(unsigned int *)mmap(0, getpagesize(), PROT_READ | PROT_WRITE,
>                              MAP_SHARED, fd, 0x0ec00000);
>
>
> My kernel is 2.4.21 I would guess it should work from what I have seen regarding
> messages about 36-bit address on 440GX.

Check the archives, I've posted a URL for the 36-bit mmap patch
several times.

-Matt (one who reads archives and googles to get FAQs answered :P)

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/